### Method

# Gimp Image get_component_visible

#### Declaration [src]

    gboolean
    gimp_image_get_component_visible (
      GimpImage* image,
      GimpChannelType component
    )

#### Description [src]

Returns if the specified image’s image component is visible.

This procedure returns if the specified image’s image component (i.e. Red, Green, Blue intensity channels in an RGB image) is visible or invisible — whether or not it can be seen. If the specified component is not valid for the image type, an error is returned.

#### Parameters

`component`

  Type: `GimpChannelType`

  The image component.

#### Return value

Type: `gboolean`

Component is visible.